import * as aws from "aws-sdk";
import * as winston from "winston";
interface IUpload {
    bucket: string;
    directory: string;
    s3: aws.S3;
    logger: winston.Logger;
}
export declare function s3(this: IUpload, url: string, name: string, extension: string): Promise<void>;
/**
 * Upload list of posts to a CSV file
 */
export declare function toCSV(this: IUpload, posts: object[], filePath: string): Promise<void>;
/**
 * Upload list of posts to a JSON file
 */
export declare function toJSON(this: IUpload, posts: object[], filePath: string): Promise<void>;
export {};
